{
	"name": "@kk/db",
	"type": "module",
	"exports": {
		".": {
			"default": "./src/index.ts"
		},
		"./schema": {
			"default": "./src/schema/index.ts"
		},
		"./schema/*": {
			"default": "./src/schema/*.ts"
		},
		"./*": {
			"default": "./src/*.ts"
		}
	},
	"scripts": {
		"dev": "turso dev --db-file local.db",
		"db:local": "turso dev --db-file local.db",
		"db:push": "drizzle-kit push",
		"db:generate": "drizzle-kit generate",
		"db:studio": "drizzle-kit studio",
		"db:migrate": "drizzle-kit migrate"
	},
	"dependencies": {
		"@kk/env": "workspace:*",
		"@libsql/client": "catalog:",
		"dotenv": "catalog:",
		"drizzle-orm": "^0.45.1",
		"libsql": "catalog:",
		"zod": "catalog:"
	},
	"devDependencies": {
		"@kk/config": "workspace:*",
		"drizzle-kit": "^0.31.8",
		"typescript": "catalog:"
	}
}
